package com.jiayue.insu.incloud.constants.enums;
/**
 * 清能互联 ENUM
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/22 11:29
 */
public enum QNHLEnum {

    REQUEST_SUCCESS("T200","success","请求成功"),

    PERMISSON_TOKEN_EXPIRE("I101","TOKEN_EXPIRE","token已过期"),
    PERMISSON_TOKEN_INVALID("I102","TOKEN_INVALID","无效token"),
    PERMISSON_AUTOGRAPH_FAIL("I103","AUTOGRAPH_FAIL","签名失败"),
    PERMISSON_LOGIN_NOT("I104","LOGIN_NOT","用户未登录"),

    /**
     * 传输类型
     */
    TRANSFER_TYPE_DOWNLOAD("download","download","数据传输类型:功率预测主站下发"),
    TRANSFER_TYPE_UPLOAD("upload","upload","数据传输类型:功率预测子站回传"),
    TRANSFER_TYPE_CORRECT("correct","correct","数据传输类型:一体化平台修正下发"),

    /**
     * 数据类型
     */
    DATA_FORE_TYPE("FORE","FORE","预测"),
    DATA_PROBDIST_TYPE("PROBDIST","PROBDIST","概率分布"),
    DATA_STAT_TYPE("STAT","STAT","统计"),
    DATA_CORRFORE_TYPE("CORRFORE","CORRFORE","优化后预测"),
    DATA_TODAYFORE_TYPE("TODAYFORE","TODAYFORE","优化后当日预测"),
    DATA_CORRULTRSHOR_TYPE("CORRULTRSHOR","CORRULTRSHOR","超短期修正"),
    DATA_REPAPLAN_TYPE("REPAPLAN","REPAPLAN","检修计划"),
            ;

    private String code;
    private String sign;
    private String msg;

    QNHLEnum(String code, String sign, String msg) {
        this.code = code;
        this.sign = sign;
        this.msg  =msg;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }


    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }


    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
